Create participant
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participantsCreates a participant in the requested ecosystem.
Analytic events
- ECOSYSTEM_PARTICIPANT_CREATE_START
- ECOSYSTEM_PARTICIPANT_CREATE_SUCCESS
- ECOSYSTEM_PARTICIPANT_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants" \ -H "Content-Type: application/json" \ -d '{ "name": "My Participant", "identifiers": {} }'{
"id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58",
"ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Participant",
"identifiers": {
"web-semantic": "did:web:example.com",
"compact-semantic": "did:web:example.com",
"compact": "did:web:example.com",
"mobile": [
{
"certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\nEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwHhcNMjMwODA4MDAwOTIxWhcNMzMwODA1\r\nMDAwOTIxWjAgMR4wCQYDVQQGEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwWTATBgcq\r\nhkjOPQIBBggqhkjOPQMBBwNCAASRu69fzdgM4odkyPtRcZd3eGWCw4BB7StZNGRm\r\nuIlrraUyv9SWPHgUYjYmRB1g7ERzj/pOSAspk71Y+QA+j9nPo4GJMIGGMBIGA1Ud\r\nEwEB/wQIMAYBAf8CAQMwDgYDVR0PAQH/BAQDAgAGMB0GA1UdDgQWBBSONcHGh4If\r\nO1dYorRpsuFrs+f8SDAcBgNVHRIEFTATgRFpbmZvQG1hdHRyLmdsb2JhbDAjBgNV\r\nHR8EHDAaMBiiFoYUaHR0cHM6Ly9tYXR0ci5nbG9iYWwwCgYIKoZIzj0EAwIDSQAw\r\nRgIhAPKJIGDSvp7VxRBLCWWeghqi8UUeO+dZsC49TUZcDMNxAiEAoh+7dT+l+GzX\r\nk0J2SoGmPiagrbAuIYyTHwzZZuYr1W4=\r\n-----END CERTIFICATE-----\r\n",
"status": "Active",
"docTypes": [
"org.iso.18013.5.1"
]
}
]
},
"isIssuer": false,
"isVerifier": false,
"isIssuerConstrained": true,
"isVerifierConstrained": true,
"status": "Active",
"country": "US",
"stateOrProvince": "US-AL",
"organizationAddress": "1234 Main St, City, State, 12345",
"organizationPhoneNumber": "012-3456789"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Sync ecosystem POST
Synchronizes all configured consumptions and integrations by retrieving the most recent trust information. **Analytic events** * ECOSYSTEM_TENANT_SYNC_ALL_START * ECOSYSTEM_TENANT_SYNC_ALL_SUCCESS * ECOSYSTEM_TENANT_SYNC_ALL_FAIL
Retrieve participants GET
Retrieves a list of participants from the requested ecosystem. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_START * ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_FAIL